org.apache.trevni

## Class ColumnFileMetaData

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,byte[]>
      - - org.apache.trevni.MetaData<ColumnFileMetaData>
        - - org.apache.trevni.ColumnFileMetaData

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,byte[]>

    public class ColumnFileMetaData
    extends MetaData<ColumnFileMetaData>

File-level metadata.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`ColumnFileMetaData()`

### Method Summary

### Methods inherited from class org.apache.trevni.MetaData

`getBoolean, getChecksum, getCodec, getLong, getString, isReserved, set, set, set, setChecksum, setCodec, toString`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Constructor Detail

#### ColumnFileMetaData

    public ColumnFileMetaData()